Bug 1135470 (kf5-kscreen, libkscreen-qt5) - Review Request: libkscreen-qt5 - KDE display configuration library
Summary: Review Request: libkscreen-qt5 - KDE display configuration library
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: kf5-kscreen, libkscreen-qt5
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
Jan Grulich
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-08-29 12:11 UTC by Daniel Vrátil
Modified: 2016-05-25 08:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-25 08:26:05 UTC
jgrulich: fedora-review+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-08-29 12:11:22 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kf5-kscreen.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kf5-kscreen-5.0.92-1.fc20.src.rpm
Description: A Tier 3 KDE Frameworks 5 Library with API to control screen settings.
Fedora Account System Username: dvratil

Comment 1 Jan Grulich 2014-11-19 11:23:34 UTC
In Description macro %{Summary} will be unexpanded so use %{summary} instead. You  are also missing to install license file. The rest looks good and both mentioned issues could be done during import.

Comment 2 Rex Dieter 2014-12-03 19:30:34 UTC
Similar to my comments in the kf5-libmm-qt review, I think we could consider recycling the existing fedora pkg/module libkscreen , the only items that currently depend on it are
kscreen (should have plasma5 version soonish, right?)
okular (optional feature)

Comment 3 Rex Dieter 2014-12-03 19:31:41 UTC
If not, I'd prefer this be called kf5-libkscreen (to match the tarball)

Comment 4 Daniel Vrátil 2014-12-19 16:21:06 UTC
Unlike libmm-qt/libnm-qt, libkscreen is not going to become a KDE Framework, instead will remain as a support library for Plasma 5, so I agree that we can just reuse the existing libkscreen package. Closing this request.

Comment 5 Daniel Vrátil 2015-01-16 11:46:47 UTC
Reopening: libkscreen is required by okular-libs. Unless we make sure we have KF5-based Okular in rawhide (I don't know what the porting plans of Okular are), we might need to go for libkscreen-qt5 or something like that. Opinions?

Comment 6 Rex Dieter 2015-01-16 13:48:15 UTC
-qt5 is fine with me if you don't want to use kf5- prefix for reasons(tm).

Comment 8 Jan Grulich 2015-01-22 10:45:04 UTC
Output from rpmlint:
libkscreen-qt5.src: W: invalid-url URL: https://projects.kde.org/projects/extragear/libs/libkscreen HTTP Error 404: Not Found
libkscreen-qt5.src:1: W: macro-in-comment %global
libkscreen-qt5.src:2: W: macro-in-comment %global
libkscreen-qt5.src:17: W: macro-in-comment %{git_version}                                                                                                                                                                                          
1 packages and 0 specfiles checked; 0 errors, 4 warnings. 

No blocking issue spotted, just fix the url during import.

Comment 9 Daniel Vrátil 2015-01-22 14:13:18 UTC
New Package SCM Request
=======================
Package Name: libkscreen-qt5
Short Description: KDE display configuration library
Upstream URL: https://projects.kde.org/projects/kde/workspace/libkscreen
Owners: group::kde-sig
Branches:
InitialCC:

Comment 10 Gwyn Ciesla 2015-01-22 17:11:10 UTC
Git done (by process-git-requests).

Comment 11 Ngo Than 2016-05-24 15:55:42 UTC
New Package SCM Request
=======================
Package Name: libkscreen-qt5
Short Description: KDE display configuration library
Upstream URL: https://projects.kde.org/projects/kde/workspace/libkscreen
Owners: group::kde-sig
Branches: epel7

Comment 12 Rex Dieter 2016-05-24 16:54:38 UTC
Branch requests are done in pkgdb these days, fyi

Comment 13 Ngo Than 2016-05-25 08:26:05 UTC
thanks


Note You need to log in before you can comment on or make changes to this bug.